: Check if app version is up to date

API: steampowered.com:steam
Endpoint: /ISteamApps/UpToDateCheck/v1/
Response format: application/json
Auth: unknown
Method: GET
Last Status: 200
Latency: 334ms

Description

Checks if a specified version of an application is the latest available version.

Parameters (3)

appid (integer, query, required)

AppID to check

format (string, query, optional, default: json)

Response format

version (integer, query, required)

Version number to check against current

Examples (1)

Check if app version is up to date openapi-spec
curl 'https://api.steampowered.com/ISteamApps/UpToDateCheck/v1/?appid=440&version=100'
import requests

resp = requests.get(
    "https://api.steampowered.com/ISteamApps/UpToDateCheck/v1/",
    params={
        'appid': '440',
        'version': '100',
    },
)
data = resp.json()
import zingu_apis

api = zingu_apis.api("steampowered")
result = api.fetch("ISteamApps/UpToDateCheck/v1/", appid=440, version=100)

for item in result:
    print(item)
const resp = await fetch("https://api.steampowered.com/ISteamApps/UpToDateCheck/v1/?appid=440&version=100");
const data = await resp.json();

Probe History

Latency

Status Codes

TimeStatusLatencySize
2026-04-16 01:35:55.622913 200 334ms
2026-04-15 04:09:32.013970 200 402ms
2026-04-14 03:04:24.384572 200 306ms
2026-04-12 13:36:21.672772 200 330ms
2026-04-10 02:44:16.310831 200 725ms
2026-04-09 03:48:54.463009 200 358ms